Subject: Re: [IPP] Question concerning what the "IPP/2.0 Implementer's Guide" should recommend for multiple-document-handling vs. job-collate

From: "Kennedy, Smith (Wireless Architect)" <[email-masked]>
Date: Mon, 23 Sep 2013 22:58:35 +0000

Hi Mike,

Resurrecting this thread - forgive me for letting it get a bit mossy.

I've been reading 5100.13 section 10 "Relationship of Impressions, Pages, and Sheets", and also RFC 2911 section 4.2.4 (where multiple-document-handling is defined).

Is the recommendation we are trying to articulate in IPP2IG that an IPP Client wishing to set job collation should do so by performing the job creation operation (Print-Job, Create-Job / Send-Document) with the job template attribute "multiple-document-handling" == "separate-documents-collated-copies" or "separate-documents-uncollated-copies" and not include the "sheet-collate" attribute?  It seems that either "separate-documents-collated-copies" or "separate-documents-uncollated-copies" would work, from the description on page 97 of RFC 2911, if there is only one Document in the Job, because the result either way would be a(*), a(*), a(*), … etc.

So really what we are saying is 'Avoid the "sheet-collate" attribute' and really we should deprecate it if possible.

Am I off in the weeds on this?

Should I be merging this in with the discussion about "finishings" and "finishings-col", and then adding in references to Finishings 2.0?

Thanks for your patience,

Smith

/**
    Smith Kennedy
    Hewlett-Packard Co.
    [email-masked]
*/

On 2013-07-22, at 6:19 AM, Michael Sweet <[email-masked]> wrote:

> Smith,
> 
> On 2013-07-19, at 5:28 PM, "Kennedy, Smith (Wireless Architect)" <[email-masked]> wrote:
>> Greetings,
>> 
>> I'm having trouble productively acting on the minutes from the May 2013 Face-to-Face that recommend adding a section discussing multiple-document-handling and job-collate to section 5:
>> 
>>> • Section 5.x: Add multiple-document-handling and job-collate
>>> ⁃ Discuss use of multiple-document-handling for collation instead
>>>   of job-collate because job-collate does not address number-up,
>>>   finishings, sides, etc.
>> 
>> I spent a few minutes reading about multiple-document-handling and job-collate and was confused:
>> 
>> - I could not find a "job-collate" attribute, but I did find sheet-collate (RFC 3381)
> 
> "sheet-collate" is the Job Template attribute and "job-collation-type" is the Job Description attribute.  "sheet-collate" interacts with "multiple-document-handling" - see the unnumbered table on Page 5 of RFC 3381.
> 
>> - The "multiple-document-handling" attribute doesn't seem to have any method of requesting number-up, finishings, sides.  The set of keywords defined for that in the IANA registry are all from RFC 2911:
> 
> "multiple-document-handling" defines how multiple documents/copies interact with the other attributes, including sheet-collate.  It is also the only attribute that can be safely used to specified collated/uncollated copies for single and multiple document jobs.
> 
>> ...
>> The only thing that I could come up with connecting multiple-document-handling to something like N-UP is that multiple-document-handling influences how the documents are handled within a potentially multiple document job, whereas job-collate seems to influence how the entire job is rendered, and so is somehow disconnected from finishings / finishings-col.
> 
> Finishings operate on sets.  So if you specify multiple-document-handling and/or sheet-collate values that treat the copies as a single set ('single-document' + 'uncollated', for example) and request stapling, then all of the copies get stapled together (probably not what you want...)
> 
> There is some discussion of this for progress reporting in JPS3 (5100.13) that might help to highlight some of the edge cases for things like number-up.
> 
> ....
> 
> One of the reasons we opted to use multiple-document-handling as the collate/uncollated copies knob in IPP Everywhere is that sheet-collate has some, um, interesting interactions with multiple-document-handling that are not well defined, whereas using multiple-document-handling for single-document jobs avoids that complexity and provides a single knob for all kinds of jobs.
> 
> _________________________________________________________
> Michael Sweet, Senior Printing System Engineer, PWG Chair
> 

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp